<div class="content mt-3">
  <div class="animated">
    <div class="row">
      <div class="col-md-12">
        <div class="card">
          <div class="card-header">
            <strong class="card-title">Produits</strong>
          </div>
          <div class="card-body">
            <mat-form-field>
              <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Rechercher">
            </mat-form-field>

            <div class="mat-elevation-z2">
              <table mat-table [dataSource]="dataSource" matSort>
                <!-- Nom Column -->
                <ng-container matColumnDef="name">
                  <th mat-header-cell *matHeaderCellDef mat-sort-header class="tbl-cell-30"> Nom </th>
                  <td mat-cell *matCellDef="let product" class="tbl-cell-20"> {{product.name}} </td>
                </ng-container>

                <!-- Description Column -->
                <ng-container matColumnDef="description">
                  <th mat-header-cell *matHeaderCellDef class="tbl-cell-40"> Description </th>
                  <td mat-cell *matCellDef="let product" class="tbl-cell-20"> {{product.description == null ? 'N/A' : product.description}} </td>
                </ng-container>

                <!-- Quantité Column -->
                <ng-container matColumnDef="quantity">
                  <th mat-header-cell *matHeaderCellDef mat-sort-header class="tbl-cell-20"> Dernière quantité </th>
                  <td mat-cell *matCellDef="let product" class="tbl-cell-20"> {{product.currentQuantity == null ? 'N/A' : product.currentQuantity}} </td>
                </ng-container>

                <!-- Actions Column -->
                <ng-container matColumnDef="actions">
                  <th mat-header-cell *matHeaderCellDef class="tbl-cell-10"> Actions </th>
                  <td mat-cell *matCellDef="let product" class="tbl-cell-20">
                    <i (click)='onEditProduct(product)' class="icon-click fa fa-pencil"></i>&nbsp;&nbsp;&nbsp;
                    <i (click)='onDeleteProduct(product)' class="icon-click fa fa-trash"></i>
                  </td>
                </ng-container>

                <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
                <tr mat-row *matRowDef="let product; columns: displayedColumns;">
                </tr>
              </table>

              <mat-paginator [hidePageSize]="true" [pageSizeOptions]="[5]" showFirstLastButtons></mat-paginator>
            </div>
          </div>
        </div>
      </div>
    </div>

    <div class="row">
      <div class="col-md-6 offset-md-3 col-lg-4 offset-lg-4">
        <button type="button" class="btn btn-success btn-lg btn-block" (click)="onCreateProduct()">Ajouter un produit</button>
      </div>
    </div>
  </div>
</div>
